Version 6.x.x Source
Single

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `column_break0` | Column Break |  |
2 | `sms_gateway_url` | Data | SMS Gateway URL Eg. smsgateway.com/api/send_sms.cgi |
3 | `message_parameter` | Data | Message Parameter Enter url parameter for message |
4 | `receiver_parameter` | Data | Receiver Parameter Enter url parameter for receiver nos |
5 | `sms_sender_name` | Data | SMS Sender Name |
6 | `static_parameters_section` | Column Break |  |
7 | `parameters` | Table | Static Parameters Enter static url parameters here (Eg. sender=ERPNext, username=ERPNext, password=1234 etc.) | SMS Parameter

### Controller

#### erpnext.setup.doctype.sms_settings.sms_settings

### Class SMSSettings

Inherits from frappe.model.document.Document

erpnext.setup.doctype.sms_settings.sms_settings.create_sms_log (args, sent_to)

No docs

Public API
`/api/method/erpnext.setup.doctype.sms_settings.sms_settings.get_contact_number`

erpnext.setup.doctype.sms_settings.sms_settings.get_contact_number (contact_name, value, key)

returns mobile number of the contact

erpnext.setup.doctype.sms_settings.sms_settings.get_sender_name ()

returns name as SMS sender

erpnext.setup.doctype.sms_settings.sms_settings.scrub_gateway_url (url)

No docs

erpnext.setup.doctype.sms_settings.sms_settings.send_request (gateway_url, args)

No docs

Public API
`/api/method/erpnext.setup.doctype.sms_settings.sms_settings.send_sms`

erpnext.setup.doctype.sms_settings.sms_settings.send_sms (receiver_list, msg, sender_name=)

No docs

erpnext.setup.doctype.sms_settings.sms_settings.send_via_gateway (arg)

No docs

erpnext.setup.doctype.sms_settings.sms_settings.validate_receiver_nos (receiver_list)

No docs